<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Encuestador</title>
    </h:head>
    <h:body>    
        <h:form id="form">
            <p:panel id="panelEncuestador" header="Encuestador">
                <p:messages id="mensajes" showDetail="true" closable="true" />
                <p:panelGrid id="panelGridEncuestador" columns="2">
                    <h:outputText value="Cedula"/>
                    <p:inputText id="txtCedula" binding="#{encuestadorView.txtCedula}">
                        <p:ajax listener="#{encuestadorView.txtCedulaListener()}" update=":form:panelGridEncuestador, :form:mensajes"/>
                    </p:inputText>

                    <h:outputText value="Nombre:"/>
                    <p:inputText id="txtNombre" binding="#{encuestadorView.txtNombre}"/>

                    <h:outputText value="Teléfono:"/>
                    <p:inputText id="txtTelefono" binding="#{encuestadorView.txtTelefono}"/>

                    <f:facet name="footer">
                        <p:commandButton id="btnCrear" action="#{encuestadorView.insert()}" update="form" binding="#{encuestadorView.btnCrear}"  value="Crear"/>
                        <p:commandButton id="btnModificar" action="#{encuestadorView.update()}" update="form" binding="#{encuestadorView.btnModificar}" disabled="true" style="margin-left: 5px;" value="Modificar" styleClass="ui-button-secondary"/>
                        <p:commandButton id="btnEliminar" type="button" onclick="PF('confirmation').show();" binding="#{encuestadorView.btnEliminar}" disabled="true" style="margin-left: 5px;" value="Eliminar" styleClass="ui-button-danger"/>
                        <p:commandButton id="btnLimpiar" action="#{encuestadorView.clear()}" update="form" style="margin-left: 5px;" value="Limpiar" styleClass="ui-button-success"/>
                    </f:facet>
                </p:panelGrid>
                <p>
                    <p:separator/>
                </p>
                <p:dataTable id="dataTableEncuestadores" value="#{encuestadorView.listEncuestadores}"
                             emptyMessage="No existen encuestadores" paginator="true" rows="5" 
                             selectionMode="single" var="encuestador" rowKey="#{encuestador.cedula}">
                    <p:ajax event="rowSelect" listener="#{encuestadorView.onRowSelect}" update=":form:panelGridEncuestador"/>
                            <p:column headerText="Cedula" style="text-align: center">
                        <h:outputText value="#{encuestador.cedula}"/>
                    </p:column>
                    <p:column headerText="Nombre" style="text-align: center">
                        <h:outputText value="#{encuestador.nombre}"/>
                    </p:column>
                    <p:column headerText="Telefono" style="text-align: center">
                        <h:outputText value="#{encuestador.telefono}"/>
                    </p:column>
                </p:dataTable>
                <div align="center">
                    <h:commandLink value="XLS">
                        <p:dataExporter type="xls" target="dataTableEncuestadores" fileName="encuestadores"/>
                    </h:commandLink>
                    <h:outputText value="    "/>
                    <h:commandLink>
                        <p:dataExporter type="pdf" target="dataTableEncuestadores" fileName="encuestadores"/>
                    </h:commandLink>
                </div>
            </p:panel>
        </h:form>
        <h:form id="formDialog">
            <p:confirmDialog id="confirmDialog" message="Esta seguro de eliminar el registro" 
                             header="Confirmación" severity="alert" widgetVar="confirmation">
                <p:commandButton id="confirm" value="Si" oncomplete="PF('confirmation').hide()"
                                 update="form" actionListener="#{encuestadorView.onDeleteConfirm}"/>
                <p:commandButton id="decline" value="No" onclick="PF('confirmation').hide()" type="button" />
            </p:confirmDialog>
        </h:form>
    </h:body>
</html>
